---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libgf04t001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4CD28, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4EC68, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4F050, symBinAddr: 0xE4F8, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4FFF0, symBinAddr: 0xF498, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4FFF8, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C9B0, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C9B4, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C9B8, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4CB08, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4CBC0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4CBC4, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4CBC8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4CBCC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4CBD0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4CBD8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4CBE8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4CBF0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4CBF8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4CC00, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FAE, offset: 0x8FAE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4CC08, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FC8, offset: 0x8FC8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4CC10, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4CC54, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL17classLoadReceived, symObjAddr: 0x4CC55, symBinAddr: 0xC1BD, symSize: 0x0 }
  - { offsetInCU: 0x90EE, offset: 0x90EE, size: 0x8, addend: 0x0, symName: __ZL20classPrepareReceived, symObjAddr: 0x4CC56, symBinAddr: 0xC1BE, symSize: 0x0 }
  - { offsetInCU: 0x910E, offset: 0x910E, size: 0x8, addend: 0x0, symName: __ZL7segment, symObjAddr: 0x4CC58, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9127, offset: 0x9127, size: 0x8, addend: 0x0, symName: __ZL9countLock, symObjAddr: 0x4CC60, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9179, offset: 0x9179, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3974, symSize: 0xA0 }
  - { offsetInCU: 0x920E, offset: 0x920E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x394C, symSize: 0x28 }
  - { offsetInCU: 0x9271, offset: 0x9271, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x38CC, symSize: 0x80 }
  - { offsetInCU: 0x9505, offset: 0x9505, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3A14, symSize: 0x34 }
  - { offsetInCU: 0x955F, offset: 0x955F, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3A48, symSize: 0x20C }
  - { offsetInCU: 0x9718, offset: 0x9718, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3C54, symSize: 0x28 }
  - { offsetInCU: 0x97E1, offset: 0x97E1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3C7C, symSize: 0xB0 }
  - { offsetInCU: 0x98D8, offset: 0x98D8, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3D2C, symSize: 0xD8 }
  - { offsetInCU: 0x9A49, offset: 0x9A49, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3E04, symSize: 0x24 }
  - { offsetInCU: 0x9B0C, offset: 0x9B0C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3E28, symSize: 0x168 }
  - { offsetInCU: 0x9CE8, offset: 0x9CE8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3F90, symSize: 0x104 }
  - { offsetInCU: 0x9F99, offset: 0x9F99, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x4094, symSize: 0x3F8 }
  - { offsetInCU: 0xA1E3, offset: 0xA1E3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x448C, symSize: 0x154 }
  - { offsetInCU: 0xA3C7, offset: 0xA3C7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x45E0, symSize: 0xAC }
  - { offsetInCU: 0xA49C, offset: 0xA49C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x468C, symSize: 0x14 }
  - { offsetInCU: 0xA4D5, offset: 0xA4D5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x46A0, symSize: 0x14 }
  - { offsetInCU: 0xA50E, offset: 0xA50E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x46B4, symSize: 0x14 }
  - { offsetInCU: 0xA68B, offset: 0xA68B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x46C8, symSize: 0x1A8 }
  - { offsetInCU: 0xA995, offset: 0xA995, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x4870, symSize: 0x140 }
  - { offsetInCU: 0xAB36, offset: 0xAB36, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x49B0, symSize: 0x9C }
  - { offsetInCU: 0xABF3, offset: 0xABF3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4A4C, symSize: 0x690 }
  - { offsetInCU: 0xB785, offset: 0xB785, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x96F8, symBinAddr: 0x6210, symSize: 0x30 }
  - { offsetInCU: 0xB811, offset: 0xB811, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x50DC, symSize: 0x74 }
  - { offsetInCU: 0xB8D9, offset: 0xB8D9, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5150, symSize: 0xB0 }
  - { offsetInCU: 0xB9E4, offset: 0xB9E4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5200, symSize: 0x3C }
  - { offsetInCU: 0xBADA, offset: 0xBADA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x523C, symSize: 0x29C }
  - { offsetInCU: 0xBE1D, offset: 0xBE1D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x54D8, symSize: 0xD0 }
  - { offsetInCU: 0xBF4B, offset: 0xBF4B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x55A8, symSize: 0xC }
  - { offsetInCU: 0xC00D, offset: 0xC00D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x55B4, symSize: 0x22C }
  - { offsetInCU: 0xC2C8, offset: 0xC2C8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x57E0, symSize: 0x4 }
  - { offsetInCU: 0xC30C, offset: 0xC30C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x57E0, symSize: 0x4 }
  - { offsetInCU: 0xC325, offset: 0xC325, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x57E4, symSize: 0x4D0 }
  - { offsetInCU: 0xC961, offset: 0xC961, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x919C, symBinAddr: 0x5CB4, symSize: 0x4 }
  - { offsetInCU: 0xC9A5, offset: 0xC9A5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x919C, symBinAddr: 0x5CB4, symSize: 0x4 }
  - { offsetInCU: 0xC9BE, offset: 0xC9BE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_general_1functions_GF04_gf04t001_check, symObjAddr: 0x91A0, symBinAddr: 0x5CB8, symSize: 0x30 }
  - { offsetInCU: 0xCA3A, offset: 0xCA3A, size: 0x8, addend: 0x0, symName: _ClassLoad, symObjAddr: 0x91D0, symBinAddr: 0x5CE8, symSize: 0x294 }
  - { offsetInCU: 0xCDD4, offset: 0xCDD4, size: 0x8, addend: 0x0, symName: _ClassPrepare, symObjAddr: 0x9464, symBinAddr: 0x5F7C, symSize: 0x294 }
  - { offsetInCU: 0xD170, offset: 0xD170, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9728, symBinAddr: 0x6240, symSize: 0x358 }
...
